### Function

# AppStreamCompose ImageSource new

since: 1.2.0

#### Declaration [src]

    AscImageSource*
    asc_image_source_new (
      GBytes* data
    )

#### Description [src]

Create a new `AscImageSource` for the given image data.

Available since: 1.2.0

#### Parameters

`data`

  Type: `GBytes`

  The raw image data to process.

  The data is owned by the caller of the function.

#### Return value

Type: `AscImageSource`

An `AscImageSource`.

The caller of the function takes ownership of the data, and is responsible for freeing it.